<?php

use App\Http\Controllers\ServiceTypeController;
use Illuminate\Support\Facades\Route;

Route::get('/service-types',        [ServiceTypeController::class, 'index'])->middleware('permission:config.service_type,view');
Route::post('/service-type',        [ServiceTypeController::class, 'store'])->middleware('permission:config.service_type,add');
Route::get('/service-type/{id}',    [ServiceTypeController::class, 'show'])->middleware('permission:config.service_type,view');
Route::put('/service-type/{id}',    [ServiceTypeController::class, 'update'])->middleware('permission:config.service_type,edit');
Route::delete('/service-type/{id}', [ServiceTypeController::class, 'destroy'])->middleware('permission:config.service_type,delete');
